/*-------------------------------------------------------------*/
/*	AMainWindow.h							*/
/*	Jens Johansson									*/
/*-------------------------------------------------------------*/

#ifndef AMAINWINDOW_HEADER
#define AMAINWINDOW_HEADER

#include <Application.h>
#include <Window.h>
#include <View.h>
#include <Menu.h>
#include <MenuBar.h>
#include <MenuItem.h>
#include <FilePanel.h>
#include <StringView.h>
#include <Rect.h>
#include <Box.h>
#include <Message.h>
#include "AView.h"
#include "UtilityClasses/AMenuBar.h"
#include "Constants/constants.h"

class AMainWindow : public BWindow
{
public:
	AMainWindow(BRect, const char *, window_look, window_feel, uint32, uint32);
	~AMainWindow();
	void	UpdateStatus(const char* str1 = NULL, const char* str2 = NULL);
	void	MessageReceived(BMessage *);
	void AboutRequested();
	bool	QuitRequested();	   
private:
	AView *view_0;
	BWindow *quit_win;
	BStringView *myStatusView;
	BMenuItem *saveitem;
	BMenuItem *additem;
	BMenuItem *phoneitem;
	BFilePanel	 *savePanel;
};

#endif
