/*----------------------------------------------------------------*/
/*	AView.cpp												*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#include <malloc.h>
#include <Application.h>
#include <Window.h>
#include <Message.h>
#include <string.h>
#include <stdlib.h>
#include <TypeConstants.h>
#include "AView.h"
#include "UtilityClasses/TCDemoItem.h"
#include "Icons/Grr.h"
#include "Icons/Pee.h"

AView::AView(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags){}

AView::~AView(){
	TCDemoItem* TheItem;
	do{TheItem = (TCDemoItem *)seTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)coTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	}

void AView::AttachedToWindow()
{

	BRect rect = Bounds();

//===================================
	BRect rect_2 = rect;
	rect_2.bottom = rect.top+29.0;
	
	BView* SearchView = new BView(rect_2,"search_view",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	SearchView->SetViewColor(216,216,216,0);
	
	textControl10 = new ATextControl(BRect(15,6,165,31), 
		"last_name_field", "Last name:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, 
		B_NAVIGABLE|B_WILL_DRAW, MOUSE_ENTERED_LNBOX);
	textControl10->SetFont(be_plain_font);
	textControl10->SetFontSize(10);
	textControl10->SetDivider(53);
	SearchView->AddChild(textControl10);
	
	ATextControl *textControl8 = new ATextControl(BRect(175,6,330,31),"first_name_field", "First name:","",0, 
		B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW, MOUSE_ENTERED_FNBOX);
	textControl8->SetFont(be_plain_font);
	textControl8->SetFontSize(10);
	textControl8->SetDivider(53);
	SearchView->AddChild(textControl8);
	
	//=================================E-mail menu
	BMenu *contact_lits= new BMenu(" E-mail       ");
	BMenuItem *item= new BMenuItem(" Nickname ",0);
	contact_lits->AddItem(item);
	item = new BMenuItem(" E-mail       ",0);
	contact_lits->AddItem(item);
	item->SetMarked(true);
	item = new BMenuItem(" Telephone",0);
	contact_lits->AddItem(item);
	item = new BMenuItem(" Address   ",0);
	contact_lits->AddItem(item);
	item = new BMenuItem(" Group      ",0);
	contact_lits->AddItem(item);
	item = new BMenuItem(" Misc.        ",0);
	contact_lits->AddItem(item);
	BMenuField *contact_menu = new BMenuField(BRect(358,5,433,30),"","",contact_lits, B_FOLLOW_LEFT | B_FOLLOW_TOP, B_WILL_DRAW | B_NAVIGABLE);
	contact_menu->SetDivider(0.0);
	SearchView->AddChild(contact_menu);
	contact_lits->SetLabelFromMarked(true);
	contact_lits->SetTargetForItems(this);
	
	ATextControl *textControl12 = new ATextControl(BRect(433, 6, 555, 31), "email_field", "", "", 0, 
		B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW, MOUSE_ENTERED_EMBOX);
	textControl12->SetFont(be_plain_font);
	textControl12->SetFontSize(10);
	textControl12->SetDivider(0.0);
	SearchView->AddChild(textControl12);
	
	AStringView *stringView24 = new AStringView(BRect(568,13,578,23), 
	"in_text", "In:", B_FOLLOW_LEFT|B_FOLLOW_V_CENTER, 
	B_WILL_DRAW, be_plain_font, 10);
	SearchView->AddChild(stringView24);
	
	//=================================Search in menu
	BMenu *select_lits= new BMenu("Address book");
	item= new BMenuItem("Address book",0/*Insert new message*/);
	select_lits->AddItem(item);
	item->SetMarked(true);
	item = new BMenuItem("Campus        ",0/*Insert new message*/);
	select_lits->AddItem(item);
	BMenuField *select_menu = new BMenuField(BRect(580,5,690,30),"","",select_lits, B_FOLLOW_LEFT | B_FOLLOW_TOP, B_WILL_DRAW | B_NAVIGABLE);
	select_menu->SetDivider(0.0);
	SearchView->AddChild(select_menu);
	select_lits->SetLabelFromMarked(true);
	select_lits->SetTargetForItems(this);
	
	button4 = new AButton(BRect(700, 4, 750, 24), "search", 
		"Search", new BMessage(ADD_TO_SEARCH_LIST), B_FOLLOW_LEFT|B_FOLLOW_V_CENTER, 
		B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_SEABUTTON);
//	button4->SetEnabled(false);
	SearchView->AddChild(button4);
	
	AddChild(SearchView);
	textControl10->TextView()->AddFilter(new FilterInvoker(B_KEY_DOWN, new BMessage(SEARCH_NAME_MSG), this));
	
	//===================================Search / Contact result list

	BRect rect_9=rect;
	rect_9.top = 37.0;
	rect_9.bottom = (rect.bottom/2)-85;
	
	BView* ContactView = new BView(rect_9,"search_view",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	ContactView->SetViewColor(216,216,216,0);
	AddChild(ContactView);
	// 3 hits,  0 with alternative spelling
	AStringView *stringView20 = new AStringView(BRect(5, 3, 350, 13), 
	"search_text", "Search result:     ", B_FOLLOW_LEFT|B_FOLLOW_V_CENTER, 
	B_WILL_DRAW, be_plain_font, 10);
	ContactView->AddChild(stringView20);
	
	AStringView *stringView22 = new AStringView(BRect(390, 3, 590, 13), 
	"contact_text", "Contact list:", B_FOLLOW_LEFT|B_FOLLOW_V_CENTER, 
	B_WILL_DRAW, be_plain_font, 10);
	ContactView->AddChild(stringView22);
	
	//The Search CLV
	BRect rect_10;
	rect_10.left=5.0;
	rect_10.right=(rect_9.right/2)-16.0;
	rect_10.top=15.0;
	rect_10.bottom=108.0;
	CLVContainerView* se_containerView;
	seTCColumnListView = new TCColumnListView(rect_10,&se_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	seTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	ContactView->AddChild(se_containerView);
	
	//The Contact CLV
	BRect rect_11=rect_9;
	rect_11.left=(rect_9.right/2)+10.0;
	rect_11.right=rect_9.right-20.0;
	rect_11.top=15.0;
	rect_11.bottom=108.0;
	CLVContainerView* co_containerView;
	coTCColumnListView = new TCColumnListView(rect_11,&co_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	coTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	ContactView->AddChild(co_containerView);
	for(int i=1; i<8; i++)
		(TCColumnListView*)coTCColumnListView->RemoveColumn((CLVColumn*)coTCColumnListView->ColumnAt(2));
	(TCColumnListView*)coTCColumnListView->AddColumn(new CLVColumn("Group",60.0,CLV_LOCK_AT_BEGINNING|CLV_NOT_MOVABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)coTCColumnListView->AddColumn(new CLVColumn("Last name",70.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)coTCColumnListView->AddColumn(new CLVColumn("First name",70.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)coTCColumnListView->AddColumn(new CLVColumn("Telephone",80.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)coTCColumnListView->AddColumn(new CLVColumn("E-mail",120.0, CLV_LOCK_AT_END|CLV_NOT_MOVABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));

//===================================Buttons
	BRect rect_6=rect;
	rect_6.top = (rect.bottom/2)-78;
	rect_6.bottom = (rect.bottom/2)-49;
	
	BView* ButtonView = new BView(rect_6,"button_view",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	ButtonView->SetViewColor(216,216,216,0);
	
	button0 = new AButton(BRect(8,3,58,23), "new", "New", new BMessage(WIN_ADD_SHOW), B_FOLLOW_LEFT|B_FOLLOW_V_CENTER, B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_NEWBUTTON);
//	button0->SetEnabled(false);
	ButtonView->AddChild(button0);
	
	button3 = new AButton(BRect(63,3,113,23), "remove", "Remove", new BMessage(WIN_REMOVE_SHOW), B_FOLLOW_LEFT|B_FOLLOW_V_CENTER, B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_REMBUTTON);
//	button3->SetEnabled(false);
	ButtonView->AddChild(button3);
	
	button11 = new AButton(BRect(135,3,185,23),"info","Info", new BMessage(WIN_NOITEMS_SHOW),B_FOLLOW_LEFT|B_FOLLOW_V_CENTER,B_NAVIGABLE|B_WILL_DRAW,be_plain_font, 10, MOUSE_ENTERED_MODBUTTON);
//	button11->SetEnabled(false);
	ButtonView->AddChild(button11);

	button5 = new UpdateButton(BRect(190,3,240,23),"update","Update", new BMessage(WIN_DOWNLOAD_SHOW),B_FOLLOW_LEFT|B_FOLLOW_V_CENTER,B_NAVIGABLE|B_WILL_DRAW,be_plain_font, 10, MOUSE_ENTERED_DOWBUTTON);
//	button5->SetEnabled(false);
	ButtonView->AddChild(button5);
	
	button12 = new AButton(BRect(260,3,310,23),"print","Print", new BMessage(WIN_PRINT_SHOW),B_FOLLOW_LEFT|B_FOLLOW_V_CENTER,B_NAVIGABLE|B_WILL_DRAW,be_plain_font, 10, MOUSE_ENTERED_PRINTBUTTON);
//	button12->SetEnabled(false);
	ButtonView->AddChild(button12);
	
	button7 = new AButton(BRect(315,3,365,23),"phone","Phone", new BMessage(WIN_NOPHONE_SHOW), B_FOLLOW_H_CENTER|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,be_plain_font, 10, MOUSE_ENTERED_MACBUTTON);
//	button7->SetEnabled(false);
	ButtonView->AddChild(button7);
	
	button8 = new AButton(BRect(370,3,420,23),"mail","Mail", new BMessage(WIN_NOEMAIL_SHOW), B_FOLLOW_H_CENTER|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,be_plain_font, 10, MOUSE_ENTERED_SEMBUTTON);
//	button8->SetEnabled(false);
	ButtonView->AddChild(button8);
	
	button1 = new AButton(BRect(440,3,550,23), "addtoaddressbook", "Add to address book", new BMessage(WIN_NOITEMS_SHOW), B_FOLLOW_LEFT|B_FOLLOW_V_CENTER, B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_ADDBUTTON);
	button1->SetEnabled(false);
	ButtonView->AddChild(button1);
	
	button10 = new AButton(BRect(555,3,635,23),"addtogroup","Add to group", new BMessage(MENU_EDIT_PREFERENCES),B_FOLLOW_LEFT|B_FOLLOW_V_CENTER,B_NAVIGABLE|B_WILL_DRAW,be_plain_font, 10, MOUSE_ENTERED_ATGBUTTON);
//	button10->SetEnabled(false);
	ButtonView->AddChild(button10);
	
	
	button9 = new AButton(BRect(640,3,750,25), "add_contact", " Add to contact list", new BMessage(ADD_TO_CONTACT_LIST), B_FOLLOW_RIGHT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_TOLBUTTON);
//	button9->SetEnabled(false);
	ButtonView->AddChild(button9);
	
	
	AddChild(ButtonView);
	
//===================================CLV&Tabs	
	BRect rect_3 = rect;
	rect_3.top = (rect.bottom/2)-42;
	rect_3.bottom -=1;
	tc_view = new TCView(rect_3, "tc_view", B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
	rgb_color color = {220, 220, 220, 0};
	tc_view->SetViewColor(color);
	AddChild(tc_view);
}

void AView::JTabFocus(uint32 nr)
{
	tc_view->JTabFocus(nr);
}

void AView::ShowJens()
{
	tc_view->ShowJens();
}

void AView::VIDraw() 
{
	BRect rect_4 = Bounds();
	rect_4.top = (rect_4.bottom/2)-43.5;
	
	BPoint start(0.0,rect_4.top);
	BPoint stop(rect_4.right,rect_4.top);

	SetPenSize(10);
	SetHighColor(180,180,180,0);
	StrokeLine(start,stop);

	SetPenSize(8);
	SetHighColor(255,255,255,0);
	StrokeLine(start,stop);
	
	SetPenSize(6);	
	SetHighColor(225,225,225,0);
	StrokeLine(start,stop);
	
	SetPenSize(4);	
	SetHighColor(190,190,190,0);
	StrokeLine(start,stop);
	
	SetPenSize(2);
	SetHighColor(140,140,140,0);
	StrokeLine(start,stop);
	SetPenSize(1);

	SetHighColor(240,240,240,0);
	StrokeLine(start,stop);
	

	
	BRect rect_5 = Bounds();
	rect_5.top=rect_5.top+35.5;
	
	BPoint start2(0.0,rect_5.top);
	BPoint stop2(rect_5.right,rect_5.top);
	
	SetPenSize(10);
	SetHighColor(180,180,180,0);
	StrokeLine(start2,stop2);

	SetPenSize(8);
	SetHighColor(255,255,255,0);
	StrokeLine(start2,stop2);
	
	SetPenSize(6);	
	SetHighColor(225,225,225,0);
	StrokeLine(start2,stop2);
	
	SetPenSize(4);	
	SetHighColor(190,190,190,0);
	StrokeLine(start2,stop2);
	
	SetPenSize(2);
	SetHighColor(140,140,140,0);
	StrokeLine(start2,stop2);
	SetPenSize(1);

	SetHighColor(240,240,240,0);
	StrokeLine(start2,stop2);

	BRect rect_8 = Bounds();
	rect_8.top=(rect_8.bottom/2)-79.5;
	
	BPoint start3(0.0,rect_8.top);
	BPoint stop3(rect_8.right,rect_8.top);
	
	SetPenSize(10);
	SetHighColor(180,180,180,0);
	StrokeLine(start3,stop3);

	SetPenSize(8);
	SetHighColor(255,255,255,0);
	StrokeLine(start3,stop3);
	
	SetPenSize(6);	
	SetHighColor(225,225,225,0);
	StrokeLine(start3,stop3);
	
	SetPenSize(4);	
	SetHighColor(190,190,190,0);
	StrokeLine(start3,stop3);
	
	SetPenSize(2);
	SetHighColor(140,140,140,0);
	StrokeLine(start3,stop3);
	SetPenSize(1);

	SetHighColor(240,240,240,0);
	StrokeLine(start3,stop3);

	SetHighColor(0,0,0,0);

}

void AView::Draw(BRect updateRect) 
{
	BView::Draw(updateRect);
	VIDraw();
}

void AView::AddToContactList() 
{
	Grr_MICN = new PrefilledBitmap(BRect(0.0,0.0,15.0,15.0),B_COLOR_8_BIT,Grr_MData,false,false);
	Pee_MICN = new PrefilledBitmap(BRect(0.0,0.0,15.0,15.0),B_COLOR_8_BIT,Pee_MData,false,false);
	coTCColumnListView->AddItem(new TCDemoItem(0,false,false,Pee_MICN,".    .    .    .","Dahlman","Petter","013/44 33 22","name@home.se","",""));
	coTCColumnListView->AddItem(new TCDemoItem(0,false,false,Pee_MICN,".    .    .    .","Saldéen","Carl","013/66 55 44","name@telia.com","",""));
	coTCColumnListView->AddItem(new TCDemoItem(0,false,false,Grr_MICN,"MDI-group","","","","","",""));
}

void AView::AddToSearchList() 
{
	Pee_MICN = new PrefilledBitmap(BRect(0.0,0.0,15.0,15.0),B_COLOR_8_BIT,Pee_MData,false,false);
	seTCColumnListView->AddItem(new TCDemoItem(0,false,false,Pee_MICN,	"Fors","Anders","","Storgatan 3, 582 27 Linköping","013/44 33 22","name@home.se","Ouality-group"));
	seTCColumnListView->AddItem(new TCDemoItem(0,false,false,Pee_MICN,"Geidne","Anders","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","name@home.se","Ouality-group"));
	seTCColumnListView->AddItem(new TCDemoItem(0,false,false,Pee_MICN,"Vaerneus","Anders","","Drottninggatan 1, 582 27 Linköping","013/44 33 22","name@home.se","Ouality-group"));
}


void AView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
		case SEARCH_NAME_MSG:{
			BMessage *dmsg=new BMessage();
			if (message->FindMessage("Dispatched Message",dmsg)==B_OK){
				int32 len;
				type_code tp=B_CHAR_TYPE;
				if (dmsg->GetInfo("byte",&tp,&len)==B_OK){
					BTextView *tw;
    				message->FindPointer("Dispatch Target",0,(void**)&tw);
					if (dynamic_cast<BTextView *>(tw)!=NULL){
						char *buff = (char*)malloc(len+1);
						tw->GetText(0,len,buff);
  						if (tw->CanEndLine(len)){
    						BMessage *msg=new BMessage(SEARCH_NAME_MSG);
    						msg->AddString("Character",buff);
    		   			 	BWindow* win = Window();
							if (win){
								win->PostMessage(msg);
							}
							delete msg;
    					}
    					free (buff);
   					}
				}
			}
 	  		delete dmsg;
			}
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
