/*----------------------------------------------------------------*/
/*	AView.h													*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#ifndef AVIEW_HEADER
#define AVIEW_HEADER

#include <stdio.h>
#include <View.h>
#include <Point.h>
#include <TabView.h>
#include <MenuField.h>
#include <Menu.h>
#include <MenuItem.h>
#include "UtilityClasses/AButton.h"
#include "UtilityClasses/UpdateButton.h"
#include "MainTabView/TCView.h"
#include "UtilityClasses/AStringView.h"
#include "UtilityClasses/ATextControl.h"
#include "UtilityClasses/FilterInvoker.h"
#include "Constants/constants.h"

class AView : public BView
{
public:
	AView(BRect, const char *, uint32, uint32);
	~AView();
	void	VIDraw();
	void JTabFocus(uint32);
	void ShowJens();
	void AddToContactList();
	void AddToSearchList();
	void 	Draw(BRect);
	void	AttachedToWindow();
	void	MessageReceived(BMessage *);
private:
	AButton *button0;
	AButton *button1;
	AButton *button2;
	AButton *button3;
	AButton *button4;
	UpdateButton *button5;
	AButton *button7;
	AButton *button8;
	AButton *button9;
	AButton *button10;
	AButton *button11;
	AButton *button12;
	ATextControl *textControl10;
	TCColumnListView *seTCColumnListView;
	TCColumnListView *coTCColumnListView;
	TCView *tc_view;
	BTabView *tabView;
};

#endif
