/*----------------------------------------------------------------*/
/*	AddView.cpp											*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#include <Application.h>
#include "AddView.h"

AddView::AddView(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags){}

AddView::~AddView(){}

void AddView::AttachedToWindow()
{
	AButton *add_button_1 = new AButton(BRect(5,5,75,23), "person_button", "New person", 
	new BMessage(WIN_ADD_PERSON), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	AddChild(add_button_1);
	add_button_1->SetTarget(this); 

	AButton *add_button_2 = new AButton(BRect(80,5,150,23), "save_button", "New group", 
		new BMessage(WIN_ADD_GROUP), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
		B_NAVIGABLE|B_NAVIGABLE_JUMP|B_WILL_DRAW,
		be_plain_font, 10, MOUSE_ENTERED_PRFBUTTON);
	AddChild(add_button_2);
	add_button_2->SetTarget(this); 
	
	AButton *add_button_3 = new AButton(BRect(80,35,150,53), "cancel_button", "Cancel", 
		new BMessage(WIN_ADD_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
		B_NAVIGABLE|B_NAVIGABLE_JUMP|B_WILL_DRAW,
		be_plain_font, 10, MOUSE_ENTERED_PRFBUTTON);
	AddChild(add_button_3);
	add_button_3->SetTarget(this); 
}

void AddView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
		case WIN_ADD_GROUP:
			be_app->PostMessage(WIN_ADD_GROUP);
			break;
		case WIN_ADD_PERSON:
			be_app->PostMessage(WIN_ADD_PERSON);
			break;
		case WIN_ADD_HIDE:
			be_app->PostMessage(WIN_ADD_HIDE);
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
