/*------------------------------------------------------------*/
/*	Addressbook.cpp									*/
/*Jens Johansson										*/
/*------------------------------------------------------------*/

#include "Addressbook.h"
#include "Constants/constants.h"
#include <Screen.h>

Addressbook::Addressbook():BApplication("application/x-vnd.JJ-adb")
{
	BRect screen_size = BScreen().Frame();
	BRect window_size;
	window_size.left = (screen_size.right/2)-380;
	window_size.right = (screen_size.right/2)+380;
	window_size.top =  (screen_size.bottom/2)-250;
	window_size.bottom =  (screen_size.bottom/2)+280;
	win = new AMainWindow(window_size, "Address book - Notebook - TDDB13",B_TITLED_WINDOW_LOOK, B_NORMAL_WINDOW_FEEL,B_NOT_RESIZABLE|B_NOT_ZOOMABLE,B_CURRENT_WORKSPACE);
	win->Show();
	
	BRect rect = win->Frame();
				rect.left+=200;
				rect.right=rect.left+300;
				rect.top+=10;
				rect.bottom=rect.top+200;
				
	pref_win = new SelectGroupWindow(rect, 0,B_MODAL_WINDOW_LOOK, B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE,B_CURRENT_WORKSPACE);
	
	
}

void Addressbook::MessageReceived(BMessage *message) {
	switch ( message->what )
	{
		case WIN_DOWNLOAD_SHOW:
			{
				BRect rect = win->Frame();
				rect.left+=240;
				rect.right=rect.left+280;
				rect.top+=80;
				rect.bottom=rect.top+90;
				prog_win = new ProgressWindow(rect,0,B_MODAL_WINDOW_LOOK, B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE,B_CURRENT_WORKSPACE);
				prog_win->Show();
				win->PostMessage(SHOW_DOWNLOAD_ONE_INFOBAR);
				snooze(1000000);
				win->PostMessage(SHOW_DOWNLOAD_TWO_INFOBAR);
				prog_win->PostMessage(CHANGE_TEXT_IN_VIEW);
				snooze(500000);
				win->PostMessage(SHOW_DOWNLOAD_THREE_INFOBAR);
				prog_win->PostMessage(CHANGE_TEXT_DOWNLOAD);
				snooze(500000);
				float delta = 0.0;
				const char *trailingText = "100";
				char *download_name = "  jenjo553@student.liu.se";
				BMessage *msg = new BMessage(B_UPDATE_STATUS_BAR);
				msg->AddFloat("delta",delta);
				msg->AddString("text",download_name);
				msg->AddString("trailing text",trailingText);
				win->PostMessage(SHOW_DOWNLOAD_FOUR_INFOBAR);
				prog_win->PostMessage(msg);
				delete msg;
				snooze(1000000);
				delta = 1.0;
				char *arr[100]=  {"99","98","97","96","95","94","93","92","91","90",
											"89","88","87","86","85","84","83","82","81","80",
											"79","78","77","76","75","74","73","72","71","70",
											"69","68","67","66","65","64","63","62","61","60",
											"59","58","57","56","55","54","53","52","51","50",
											"49","48","47","46","45","44","43","42","41","40",
											"39","38","37","36","35","34","33","32","31","30",
											"29","28","27","26","25","24","23","22","21","20",
											"19","18","17","16","15","14","13","12","11","10",
											"9","8","7","6","5","4","3","2","1","0"};
				
				for (int i=0; i<100; ++i)
				{
					trailingText = arr[i];
					BMessage *msg = new BMessage(B_UPDATE_STATUS_BAR);
					msg->AddFloat("delta",delta);
					msg->AddString("text",download_name);
					msg->AddString("trailing text",trailingText);
					prog_win->PostMessage(msg);
					delete msg;
					snooze(20000);
				}
				prog_win->Quit();
				win->PostMessage(HOLD_ON_A_BIT);
				snooze(500000);
				win->PostMessage(SHOW_JENS_IN_LIST);
				win->PostMessage(SHOW_JENS_IN_INFOBAR);
			}
			break;
		case WIN_ADD_SHOW:{
			if(!my_win){
				BRect rect2 =win->Frame();
				rect2.left +=280;
				rect2.right =rect2.left+155.0;
				rect2.top +=70;
				rect2.bottom=rect2.top+63.0;
				my_win = new BWindow(rect2,0, B_MODAL_WINDOW_LOOK, B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE,B_CURRENT_WORKSPACE);
				AddView *add_view = new AddView(my_win->Bounds(), "pref_view", B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
				add_view->SetViewColor(BKG_GREY);
				my_win->AddChild(add_view);
				my_win->Show();
			}else
				my_win->Show();
			}
			break;
		case WIN_ADD_HIDE:
			my_win->Hide();
			break;
		case WIN_ADD_GROUP:{
			my_win->Hide();
			if(!newgroup_win){
				BRect rect3 =win->Frame();
				rect3.left +=240;
				rect3.right =rect3.left+210.0;
				rect3.top +=70;
				rect3.bottom=rect3.top+60.0;
				newgroup_win = new BWindow(rect3,0, B_MODAL_WINDOW_LOOK, B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE,B_CURRENT_WORKSPACE);
				NewGroupView *newgroup_view = new NewGroupView(newgroup_win->Bounds(), "pref_view", B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
				newgroup_view->SetViewColor(BKG_GREY);
				newgroup_win->AddChild(newgroup_view);
				newgroup_win->Show();
			}else
				newgroup_win->Show();
			}
			break;
		case WIN_STATUS_GROUP_HIDE:
			statusgroup_win->Hide();
			break;
		case WIN_ADD_GROUP_HIDE:{
			newgroup_win->Hide();
			if(!emptystatusgroup_win){
				BRect rect3 =win->Frame();
				rect3.left+=200;
				rect3.right=rect3.left+403;
				rect3.top+=10;
				rect3.bottom=rect3.top+200;
				emptystatusgroup_win = new BWindow(rect3,"MDI-group",B_FLOATING_WINDOW_LOOK, B_FLOATING_APP_WINDOW_FEEL, B_NOT_RESIZABLE,B_CURRENT_WORKSPACE);
				EmptyGroupStatusView *emptystatusgroup_view = new EmptyGroupStatusView(emptystatusgroup_win->Bounds(), "stat_view", B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
				emptystatusgroup_view->SetViewColor(BKG_GREY);
				emptystatusgroup_win->AddChild(emptystatusgroup_view);
				emptystatusgroup_win->Show();
			}else
				emptystatusgroup_win->Show();
			}
			break;
		case WIN_EMPTY_STATUS_GROUP_HIDE:
			emptystatusgroup_win->Hide();
			break;
		case WIN_ADD_PERSON:{
			my_win->Hide();
			if(!newperson_win){
				BRect rect4 =win->Frame();
				rect4.left+=200;
				rect4.right=rect4.left+365;
				rect4.top+=10;
				rect4.bottom=rect4.top+230;
				newperson_win = new BWindow(rect4,0, B_MODAL_WINDOW_LOOK, B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE,B_CURRENT_WORKSPACE);
				NewpeoView *newperson_view = new NewpeoView(newperson_win->Bounds(), "newper_view", B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
				newperson_view->SetViewColor(BKG_GREY);
				newperson_win->AddChild(newperson_view);
				newperson_win->Show();
			}else
				newperson_win->Show();
			}
			break;
		case WIN_ADD_PERSON_HIDE:
			newperson_win->Hide();
			break;
		case WIN_PRINT_SHOW:{
			if(!print_win){
				BRect rect4 =win->Frame();
				rect4.left+=200;
				rect4.right=rect4.left+250;
				rect4.top+=10;
				rect4.bottom=rect4.top+230;
				print_win = new BWindow(rect4,0, B_MODAL_WINDOW_LOOK, B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE,B_CURRENT_WORKSPACE);
				PrintView *print_view = new PrintView(print_win->Bounds(), "print_view", B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
				print_view->SetViewColor(BKG_GREY);
				print_win->AddChild(print_view);
				print_win->Show();
			}else
				print_win->Show();
			}
			break;
		case WIN_PRINT_HIDE:
			print_win->Hide();
			break;
		case MENU_EDIT_PREFERENCES:
			pref_win->Show();
			break;
		case WIN_PREF_HIDE:{
			pref_win->Hide();
			if(!statusgroup_win){
				BRect rect3 =win->Frame();
				rect3.left+=200;
				rect3.right=rect3.left+403;
				rect3.top+=10;
				rect3.bottom=rect3.top+200;
				statusgroup_win = new BWindow(rect3,"MDI-group",B_FLOATING_WINDOW_LOOK, B_FLOATING_APP_WINDOW_FEEL, B_NOT_RESIZABLE,B_CURRENT_WORKSPACE);
				GroupStatusView *statusgroup_view = new GroupStatusView(statusgroup_win->Bounds(), "stat_view", B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
				statusgroup_view->SetViewColor(BKG_GREY);
				statusgroup_win->AddChild(statusgroup_view);
				statusgroup_win->Show();
			}else
				statusgroup_win->Show();
			}
			break;
		case SHOW_JENS_IN_INFOBAR:
			win->PostMessage(SHOW_JENS_IN_INFOBAR);
			break;
		case MOUSE_ENTERED_ADDBUTTON:
			win->PostMessage(MOUSE_ENTERED_ADDBUTTON);
			break;
		case MOUSE_ENTERED_NEWBUTTON:
			win->PostMessage(MOUSE_ENTERED_NEWBUTTON);
			break;
		case MOUSE_ENTERED_ATGBUTTON:
			win->PostMessage(MOUSE_ENTERED_ATGBUTTON);
			break;
		case MOUSE_ENTERED_MODBUTTON:
			win->PostMessage(MOUSE_ENTERED_MODBUTTON);
			break;
		case MOUSE_ENTERED_REMBUTTON:
			win->PostMessage(MOUSE_ENTERED_REMBUTTON);
			break;
		case MOUSE_ENTERED_SEABUTTON:
			win->PostMessage(MOUSE_ENTERED_SEABUTTON);
			break;
		case MOUSE_ENTERED_DOWBUTTON:
			win->PostMessage(MOUSE_ENTERED_DOWBUTTON);
			break;
		case MOUSE_ENTERED_CLEBUTTON:
			win->PostMessage(MOUSE_ENTERED_CLEBUTTON);
			break;
		case MOUSE_ENTERED_MACBUTTON:
			win->PostMessage(MOUSE_ENTERED_MACBUTTON);
			break;
		case MOUSE_ENTERED_SEMBUTTON:
			win->PostMessage(MOUSE_ENTERED_SEMBUTTON);
			break;
		case MOUSE_ENTERED_TOLBUTTON:
			win->PostMessage(MOUSE_ENTERED_TOLBUTTON);
			break;
		case MOUSE_ENTERED_PRFBUTTON:
			win->PostMessage(MOUSE_ENTERED_PRFBUTTON);
			break;
		case MOUSE_ENTERED_PRINTBUTTON:
			win->PostMessage(MOUSE_ENTERED_PRINTBUTTON);
			break;
		case MOUSE_ENTERED_CPFBUTTON:
			win->PostMessage(MOUSE_ENTERED_CPFBUTTON);
			break;
		case MOUSE_ENTERED_EMBOX:
			win->PostMessage(MOUSE_ENTERED_EMBOX);
			break;
		case MOUSE_ENTERED_FNBOX:
				win->PostMessage(MOUSE_ENTERED_FNBOX);
			break;
		case MOUSE_ENTERED_LNBOX:
			win->PostMessage(MOUSE_ENTERED_LNBOX);
			break;
		case MOUSE_EXITED_BUTTON:
			win->PostMessage(MOUSE_EXITED_BUTTON);
			break;
		case B_QUIT_REQUESTED:{
			if(my_win)
				my_win->PostMessage(B_QUIT_REQUESTED);
			if(prog_win)
				prog_win->PostMessage(B_QUIT_REQUESTED);
			if(newperson_win)
				newperson_win->PostMessage(B_QUIT_REQUESTED);
			if(newgroup_win)
				newgroup_win->PostMessage(B_QUIT_REQUESTED);
			if(statusgroup_win)
				statusgroup_win->PostMessage(B_QUIT_REQUESTED);
			if(emptystatusgroup_win)
				emptystatusgroup_win->PostMessage(B_QUIT_REQUESTED);
			if(print_win)
				print_win->PostMessage(B_QUIT_REQUESTED);
			if(pref_win)
				pref_win->PostMessage(B_QUIT_REQUESTED);
			}
			break;
		case B_SIMPLE_DATA:
			break;
	}
}

int main()
{
	Addressbook app;
	app.Run();
	return B_NO_ERROR;
}
