/*----------------------------------------------------------------*/
/*	EmptyGroupStatusView.cpp					*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#include <Application.h>
#include "EmptyGroupStatusView.h"
#include "UtilityClasses/TCDemoItem.h"

EmptyGroupStatusView::EmptyGroupStatusView(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags){}

EmptyGroupStatusView::~EmptyGroupStatusView(){}

void EmptyGroupStatusView::AttachedToWindow()
{
		BRect rect_15=Bounds();
	rect_15.left=5.0;
	rect_15.right=rect_15.right-22.0;
	rect_15.top=5.0;
	rect_15.bottom=rect_15.bottom-48.0;
	CLVContainerView* er_containerView;
	erTCColumnListView = new TCColumnListView(rect_15,&er_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	erTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	AddChild(er_containerView);

	for(int i=1; i<8; i++)
		(TCColumnListView*)erTCColumnListView->RemoveColumn((CLVColumn*)erTCColumnListView->ColumnAt(2));
	(TCColumnListView*)erTCColumnListView->AddColumn(new CLVColumn("Last name",75.0,CLV_LOCK_AT_BEGINNING|CLV_NOT_MOVABLE|CLV_SORT_KEYABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)erTCColumnListView->AddColumn(new CLVColumn("First name",65.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)erTCColumnListView->AddColumn(new CLVColumn("Telephone",70.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)erTCColumnListView->AddColumn(new CLVColumn("E-mail",115.0, CLV_LOCK_AT_END|CLV_NOT_MOVABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));

	AButton *statusgroup_button_0 = new AButton(BRect(70, 172, 180, 192), "detach_button", "Detach from group", 
	new BMessage(WIN_EMPTY_STATUS_GROUP_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	statusgroup_button_0->SetEnabled(false);
	AddChild(statusgroup_button_0);
	statusgroup_button_0->SetTarget(this); 
	
	AButton *statusgroup_button_1 = new AButton(BRect(272, 172, 322, 192), "cancel_button", "Cancel", 
	new BMessage(WIN_EMPTY_STATUS_GROUP_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	AddChild(statusgroup_button_1);
	statusgroup_button_1->SetTarget(this); 
	
	AButton *statusgroup_button_2 = new AButton(BRect(332, 172, 382, 192), "ok_button", "OK", 
		new BMessage(WIN_EMPTY_STATUS_GROUP_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
		B_NAVIGABLE|B_NAVIGABLE_JUMP|B_WILL_DRAW,
		be_plain_font, 10, MOUSE_ENTERED_PRFBUTTON);
	AddChild(statusgroup_button_2);
	statusgroup_button_2->SetTarget(this); 
}

void EmptyGroupStatusView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
		case WIN_EMPTY_STATUS_GROUP_HIDE:
			be_app->PostMessage(WIN_EMPTY_STATUS_GROUP_HIDE);
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
