/*----------------------------------------------------------------*/
/*	GroupStatusView.cpp								*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#include <Application.h>
#include <Alert.h>
#include "GroupStatusView.h"
#include "UtilityClasses/TCDemoItem.h"
#include "Icons/Prr.h"

GroupStatusView::GroupStatusView(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags){}

GroupStatusView::~GroupStatusView(){
	TCDemoItem* TheItem;
	do{TheItem = (TCDemoItem *)srTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
}

void GroupStatusView::AttachedToWindow()
{
		BRect rect_15=Bounds();
	rect_15.left=5.0;
	rect_15.right=rect_15.right-22.0;
	rect_15.top=5.0;
	rect_15.bottom=rect_15.bottom-48.0;
	CLVContainerView* sr_containerView;
	srTCColumnListView = new TCColumnListView(rect_15,&sr_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	srTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	AddChild(sr_containerView);
	Prr_MICN = new PrefilledBitmap(BRect(0.0,0.0,15.0,15.0),B_COLOR_8_BIT,Prr_MData,false,false);

	for(int i=1; i<8; i++)
		(TCColumnListView*)srTCColumnListView->RemoveColumn((CLVColumn*)srTCColumnListView->ColumnAt(2));
	(TCColumnListView*)srTCColumnListView->AddColumn(new CLVColumn("Last name",75.0,CLV_LOCK_AT_BEGINNING|CLV_NOT_MOVABLE|CLV_SORT_KEYABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)srTCColumnListView->AddColumn(new CLVColumn("First name",65.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)srTCColumnListView->AddColumn(new CLVColumn("Telephone",70.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)srTCColumnListView->AddColumn(new CLVColumn("E-mail",115.0, CLV_LOCK_AT_END|CLV_NOT_MOVABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));

	srTCColumnListView->AddItem(new TCDemoItem(1,false,false,Prr_MICN,"Andersson","Mattias","013/44 33 22","name@home.se","","",""));
	srTCColumnListView->AddItem(new TCDemoItem(1,false,false,Prr_MICN,"Axelsson","Kjell-Ove","013/33 22 11","name@telia.com","","",""));
	srTCColumnListView->AddItem(new TCDemoItem(1,false,false,Prr_MICN,"Bayard","Ulf","013/44 33 22","name@home.se","","",""));
	
	AButton *statusgroup_button_0 = new AButton(BRect(70, 172, 180, 192), "detach_button", "Detach from group", 
	new BMessage(DETACH_FROM_GROUP), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	AddChild(statusgroup_button_0);
	statusgroup_button_0->SetTarget(this); 
	
	AButton *statusgroup_button_1 = new AButton(BRect(272, 172, 322, 192), "cancel_button", "Cancel", 
	new BMessage(WIN_STATUS_GROUP_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	AddChild(statusgroup_button_1);
	statusgroup_button_1->SetTarget(this); 
	
	AButton *statusgroup_button_2 = new AButton(BRect(332, 172, 382, 192), "ok_button", "OK", 
		new BMessage(WIN_STATUS_GROUP_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
		B_NAVIGABLE|B_NAVIGABLE_JUMP|B_WILL_DRAW,
		be_plain_font, 10, MOUSE_ENTERED_PRFBUTTON);
	AddChild(statusgroup_button_2);
	statusgroup_button_2->SetTarget(this); 
}

void GroupStatusView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
		case WIN_STATUS_GROUP_HIDE:
			be_app->PostMessage(WIN_STATUS_GROUP_HIDE);
			break;
		case DETACH_FROM_GROUP:
			(new BAlert(""," This function isn't implemented yet..","   OK   ",NULL,NULL,B_WIDTH_FROM_WIDEST,B_INFO_ALERT))->Go();
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
