/*-------------------------------------------------------------------------*/
/*	TCView.cpp														*/
/*	Jens Johansson												*/
/*-------------------------------------------------------------------------*/

#include "TCView.h"
#include "UtilityClasses/TCDemoItem.h"
#include "Icons/Peoples.h"
#include "Icons/Groups.h"

TCView::TCView(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags){}

void TCView::AttachedToWindow()
{
	Peoples_MICN = new PrefilledBitmap(BRect(0.0,0.0,15.0,15.0),B_COLOR_8_BIT,Peoples_MData,false,false);
	Groups_MICN = new PrefilledBitmap(BRect(0.0,0.0,15.0,15.0),B_COLOR_8_BIT,Groups_MData,false,false);

	BRect r = Bounds();
	BTab *tab;
	r.InsetBy(5,5);

	//The TabView	
	tabView = new BTabView(r,
											"tv",
											B_WIDTH_FROM_WIDEST,
											B_FOLLOW_ALL,
											B_FULL_UPDATE_ON_RESIZE | B_WILL_DRAW | B_NAVIGABLE_JUMP | B_FRAME_EVENTS | B_NAVIGABLE); 
	tabView->SetViewColor(216,216,216,0);
	tabView->SetTabWidth(B_WIDTH_FROM_WIDEST);

//===================================Tab 1
	//The BView to put a tab and CLV on	
	BRect bg_bounds = r;
	bg_bounds.left -= 10.0;
	bg_bounds.top -= 7.0;
	BView* aBGView = new BView(bg_bounds,"i",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	aBGView->SetViewColor(216,216,216,0);
	
	//The CLV
	BRect bounds = r;
	bounds.left -= 1.0;
	bounds.right -= 3.0 + B_V_SCROLL_BAR_WIDTH;
	bounds.top -= 3.0;
	bounds.bottom -= 26.0 + B_H_SCROLL_BAR_HEIGHT;
	CLVContainerView* a_containerView;
	aTCColumnListView = new TCColumnListView(bounds,&a_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	aTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	aBGView->AddChild(a_containerView);	
	
	//The tab
	tab = new BTab();
	tabView->AddTab(aBGView, tab); 
	tab->SetLabel("A");
	
//===================================Tab 2	
	//The BView to put a tab and CLV on	
	BView* bBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	bBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* b_containerView;
	bTCColumnListView = new TCColumnListView(bounds,&b_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	bTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	bBGView->AddChild(b_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(bBGView, tab); 
	tab->SetLabel("B");
	
//===================================Tab 3	
	//The BView to put a tab and CLV on	
	BView* cBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	cBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* c_containerView;
	cTCColumnListView = new TCColumnListView(bounds,&c_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	cTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	cBGView->AddChild(c_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(cBGView, tab); 
	tab->SetLabel("C");

//===================================Tab 4	
	//The BView to put a tab and CLV on	
	BView* dBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	dBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* d_containerView;
	dTCColumnListView = new TCColumnListView(bounds,&d_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	dTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	dBGView->AddChild(d_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(dBGView, tab); 
	tab->SetLabel("D");
	
	//===================================Tab 5	
	//The BView to put a tab and CLV on	
	BView* eBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	eBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* e_containerView;
	eTCColumnListView = new TCColumnListView(bounds,&e_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	eTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	eBGView->AddChild(e_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(eBGView, tab); 
	tab->SetLabel("E");
	
	//===================================Tab 6	
	//The BView to put a tab and CLV on	
	BView* fBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	fBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* f_containerView;
	fTCColumnListView = new TCColumnListView(bounds,&f_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	fTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	fBGView->AddChild(f_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(fBGView, tab); 
	tab->SetLabel("F");
	
	//===================================Tab 7	
	//The BView to put a tab and CLV on	
	BView* gBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	gBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* g_containerView;
	gTCColumnListView = new TCColumnListView(bounds,&g_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	gTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	gBGView->AddChild(g_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(gBGView, tab); 
	tab->SetLabel("G");
	
	//===================================Tab 8	
	//The BView to put a tab and CLV on	
	BView*hBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	hBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* h_containerView;
	hTCColumnListView = new TCColumnListView(bounds,&h_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	hTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	hBGView->AddChild(h_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(hBGView, tab); 
	tab->SetLabel("H");
	
	//===================================Tab 9	
	//The BView to put a tab and CLV on	
	BView* iBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	iBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* i_containerView;
	iTCColumnListView = new TCColumnListView(bounds,&i_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	iTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	iBGView->AddChild(i_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(iBGView, tab); 
	tab->SetLabel("I");
	
	//===================================Tab 10	
	//The BView to put a tab and CLV on	
	BView* jBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	jBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* j_containerView;
	jTCColumnListView = new TCColumnListView(bounds,&j_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	jTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	jBGView->AddChild(j_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(jBGView, tab); 
	tab->SetLabel("J");

	//===================================Tab 11	
	//The BView to put a tab and CLV on	
	BView* kBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	kBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* k_containerView;
	kTCColumnListView = new TCColumnListView(bounds,&k_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	kTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	kBGView->AddChild(k_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(kBGView, tab); 
	tab->SetLabel("K");
	
	//===================================Tab 12	
	//The BView to put a tab and CLV on	
	BView* lBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	lBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* l_containerView;
	lTCColumnListView = new TCColumnListView(bounds,&l_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	lTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	lBGView->AddChild(l_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(lBGView, tab); 
	tab->SetLabel("L");
	
	//===================================Tab 13	
	//The BView to put a tab and CLV on	
	BView* mBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	mBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* m_containerView;
	mTCColumnListView = new TCColumnListView(bounds,&m_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	mTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	mBGView->AddChild(m_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(mBGView, tab); 
	tab->SetLabel("M");
	
	//===================================Tab 14	
	//The BView to put a tab and CLV on	
	BView* nBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	nBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* n_containerView;
	nTCColumnListView = new TCColumnListView(bounds,&n_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	nTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	nBGView->AddChild(n_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(nBGView, tab); 
	tab->SetLabel("N");

	//===================================Tab 15	
	//The BView to put a tab and CLV on	
	BView* oBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	oBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* o_containerView;
	oTCColumnListView = new TCColumnListView(bounds,&o_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	oTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	oBGView->AddChild(o_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(oBGView, tab); 
	tab->SetLabel("O");
	
	//===================================Tab 16	
	//The BView to put a tab and CLV on	
	BView* pBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	pBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* p_containerView;
	pTCColumnListView = new TCColumnListView(bounds,&p_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	pTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	pBGView->AddChild(p_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(pBGView, tab); 
	tab->SetLabel("P");
	
	//===================================Tab 17	
	//The BView to put a tab and CLV on	
	BView* qBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	qBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* q_containerView;
	qTCColumnListView = new TCColumnListView(bounds,&q_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	qTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	qBGView->AddChild(q_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(qBGView, tab); 
	tab->SetLabel("Q");
	
	//===================================Tab 18	
	//The BView to put a tab and CLV on	
	BView* rBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	rBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* r_containerView;
	rTCColumnListView = new TCColumnListView(bounds,&r_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	rTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	rBGView->AddChild(r_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(rBGView, tab); 
	tab->SetLabel("R");
	
	//===================================Tab 19	
	//The BView to put a tab and CLV on	
	BView* sBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	sBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* s_containerView;
	sTCColumnListView = new TCColumnListView(bounds,&s_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	sTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	sBGView->AddChild(s_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(sBGView, tab); 
	tab->SetLabel("S");
	
	//===================================Tab 20	
	//The BView to put a tab and CLV on	
	BView*tBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	tBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* t_containerView;
	tTCColumnListView = new TCColumnListView(bounds,&t_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	tTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	tBGView->AddChild(t_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(tBGView, tab); 
	tab->SetLabel("T");
	
	//===================================Tab 21	
	//The BView to put a tab and CLV on	
	BView*uBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	uBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* u_containerView;
	uTCColumnListView = new TCColumnListView(bounds,&u_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	uTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	uBGView->AddChild(u_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(uBGView, tab); 
	tab->SetLabel("U");
	
	//===================================Tab 22	
	//The BView to put a tab and CLV on	
	BView*vBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	vBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* v_containerView;
	vTCColumnListView = new TCColumnListView(bounds,&v_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	vTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	vBGView->AddChild(v_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(vBGView, tab); 
	tab->SetLabel("V");
	
	//===================================Tab 23	
	//The BView to put a tab and CLV on	
	BView*xBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	xBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* x_containerView;
	xTCColumnListView = new TCColumnListView(bounds,&x_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	xTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	xBGView->AddChild(x_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(xBGView, tab); 
	tab->SetLabel("X");
	
	//===================================Tab 24	
	//The BView to put a tab and CLV on	
	BView*yBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	yBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* y_containerView;
	yTCColumnListView = new TCColumnListView(bounds,&y_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	yTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	yBGView->AddChild(y_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(yBGView, tab); 
	tab->SetLabel("Y");
	
	//===================================Tab 25	
	//The BView to put a tab and CLV on	
	BView*zBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	zBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* z_containerView;
	zTCColumnListView = new TCColumnListView(bounds,&z_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	zTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	zBGView->AddChild(z_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(zBGView, tab); 
	tab->SetLabel("Z");
	
	//===================================Tab 26	
	//The BView to put a tab and CLV on	
	BView*aaBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	aaBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* aa_containerView;
	aaTCColumnListView = new TCColumnListView(bounds,&aa_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	aaTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	aaBGView->AddChild(aa_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(aaBGView, tab); 
	tab->SetLabel("Å");
	
	//===================================Tab 27	
	//The BView to put a tab and CLV on	
	BView*aaaBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	aaaBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* aaa_containerView;
	aaaTCColumnListView = new TCColumnListView(bounds,&aaa_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	aaaTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	aaaBGView->AddChild(aaa_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(aaaBGView, tab); 
	tab->SetLabel("Ä");
	
	//===================================Tab 27	
	//The BView to put a tab and CLV on	
	BView*ooBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	ooBGView->SetViewColor(216,216,216,0);
	//The CLV
	CLVContainerView* oo_containerView;
	ooTCColumnListView = new TCColumnListView(bounds,&oo_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	ooTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	ooBGView->AddChild(oo_containerView);
	//The tab
	tab = new BTab();
	tabView->AddTab(ooBGView, tab); 
	tab->SetLabel("Ö");
	
//===================================Tab 28	
	//The BView to put a tab and CLV on	
	BView*grBGView = new BView(bg_bounds,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	grBGView->SetViewColor(216,216,216,0);
	CLVContainerView* gr_containerView;
	grTCColumnListView = new TCColumnListView(bounds,&gr_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	grTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	grBGView->AddChild(gr_containerView);
	for(int i=1; i<8; i++)
		(TCColumnListView*)grTCColumnListView->RemoveColumn((CLVColumn*)grTCColumnListView->ColumnAt(2));
	(TCColumnListView*)grTCColumnListView->AddColumn(new CLVColumn("Group",80.0,CLV_LOCK_AT_BEGINNING|CLV_NOT_MOVABLE|CLV_SORT_KEYABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)grTCColumnListView->AddColumn(new CLVColumn("Last name",80.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)grTCColumnListView->AddColumn(new CLVColumn("First name",70.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)grTCColumnListView->AddColumn(new CLVColumn("Telephone",80.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(TCColumnListView*)grTCColumnListView->AddColumn(new CLVColumn("E-mail",180.0, CLV_LOCK_AT_END|CLV_NOT_MOVABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	
	grTCColumnListView->AddItem(new TCDemoItem(0,true,false,Groups_MICN,"IFP-group","","","","","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Axelsson","Kjell-Ove","013/33 22 11","name@telia.com","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Bayard","Ulf","013/44 33 22","name@home.se","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Berglind","Magnus","013/66 55 44","name@telia.com","",""));

	
	grTCColumnListView->AddItem(new TCDemoItem(0,true,false,Groups_MICN,"MDI-group","","","","","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Andersson","Mattias","013/44 33 22","name@home.se","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Axelsson","Kjell-Ove","013/33 22 11","name@telia.com","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Bayard","Ulf","013/44 33 22","name@home.se","",""));
	
	grTCColumnListView->AddItem(new TCDemoItem(0,true,false,Groups_MICN,"Quality-group","","","","","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Dahlman","Petter","013/44 33 22","name@home.se","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Delayah","Fouad","013/33 22 11","name@telia.com","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Fors","Anders","013/44 33 22","name@home.se","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Geidne","Anders"	,"013/55 44 33","name@home.se","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Saldéen","Carl","013/66 55 44","name@telia.com","",""));
	grTCColumnListView->AddItem(new TCDemoItem(1,false,false,Peoples_MICN,".    .    .    .","Vaerneus","Anders","013/55 44 33","name@home.se","",""));
	//The tab
	tab = new BTab();
	tabView->AddTab(grBGView, tab); 
	tab->SetLabel("gr");
	
	AddChild(tabView);
	Show();
//========================================Add People
	aTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Almqvist","Dick","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	aTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Andersson","Bo","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	aTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Andersson","Hans & Pavla","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	aTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN, "Andersson","Mattias","Matte","Storgatan 3, 582 27 Linköping","013/44 33 22","name@home.se","MDI-group"));
	aTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","S:t Larsgatan 2, 582 24 Linköping","","name@home.se",""));
	aTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","Drottninggatan 1, 582 27 Linköping","","",""));
	aTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Asserwall","Tommy","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	aTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Axelsson","Kjell-Ove","Kjelle","Drottninggatan 1, 582 27 Linköping","013/33 22 11","name@telia.com","MDI-group, IFP-group"));
	aTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","","name@home.se",""));
	bTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Bayard","Ulf","Uffe","Storgatan 3, 582 27 Linköping","013/44 33 22","name@home.se","MDI-group, IFP-group"));
	bTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Belding","Carl","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	bTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Berg","Björn","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	bTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Berglind",	"Magnus","Mange","Storgatan 3, 582 27 Linköping",	"013/66 55 44","name@telia.com","IFP-group"));
	bTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Borg","familjen","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	bTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Bäckman","Bosse","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","name@home.se",""));
	bTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Börjesson","Jonny","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	cTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Carling","Holger","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	cTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Carlsson","Roger","Biffen","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	dTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Dahlman","Petter","","Storgatan 3, 582 27 Linköping","013/44 33 22","name@home.se","Quality-group"));
	dTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Darell","Jan","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	dTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","070/000 00 00","",""));
	dTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Delayah","Fouad","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","name@telia.com","Quality-group"));
	eTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Ehrenborg","Gösta","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	eTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Ekholm","Per & Ann-Kristin","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	eTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Ekman","Staffan","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	eTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Eriksson","Jan","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	eTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Evers","Bengt","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	eTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Evholt","Per-Åke","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	fTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Fors","Anders","","Storgatan 3, 582 27 Linköping","013/44 33 22","name@home.se","Quality-group"));
	fTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,	"Forsman","Johan","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	fTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","070/000 00 00","",""));
	fTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Forss","Per-Uno","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	fTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,	"Frode","Sven","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	fTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","070/000 00 00","",""));
	gTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Geidne","Anders","Nöjesrederiet Klara Kluck","S:t Larsgatan 2, 582 24 Linköping",	"013/55 44 33","name@home.se",""));
	gTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Georgsson","Leif","Skogshem","Drottninggatan 1, 582 27 Linköping","013/33 22 11","name@telia.com",""));
	gTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","personsökare","0740/00 00 00","",""));
	gTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","mobil","","070/00 00 00","",""));
	gTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Gunnarsson","Krister","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	gTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Gustafsson","Ingvar","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	gTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","arb.","","070/000 00 00","",""));
	hTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Hagald","Thore","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	hTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Hejdström","Torgny","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	hTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Härnström","Thomas","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	kTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Karlsson","Christer","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	lTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Laag","Anna","Nöjesrederiet Klara Kluck","Drottninggatan 1, 582 27 Linköping","013/33 22 11","name@home.se",""));
	lTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","0705/00 00 00","",""));
	lTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Landin","Bo","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	lTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Lewén","Göran","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	lTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Lindh","Bernt-Ove, Catarina & M","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	lTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Lindströms Båtvarv","","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	lTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","0750/000 00","",""));
	lTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Linghammar","Dan","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	lTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Lundborg","Mats","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	mTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Marthall & Fredriksson","Marie-Louise & Leif-Göran","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	nTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Nestor","Ingemar","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	nTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Nilsson","Hans","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	nTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","013/44 33 22","",""));
	nTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Nilsson","Örjan","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	nTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Nordström","Anders","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	nTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","013/44 33 22","",""));
	nTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Norrman","Sune & Anna-Lena","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	oTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Olaner","Henrik","","Storgatan 3, 582 27 Linköping","013/44 33 22","",""));
	oTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Olausson","Bo","Bobben","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));	
	pTCColumnListView->AddItem(new TCDemoItem(0,true,true,Peoples_MICN,"Persson","Krister & Mona","","Drottninggatan 1, 582 27 Linköping","013/33 22 11","",""));
	pTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","013/44 33 22","",""));
	sTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Saldéen","Carl","Kalle",	"Storgatan 3, 582 27 Linköping","013/66 55 44","name@telia.com","Quality-group"));
	sTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Samuelsson & Berg-Samuelsson","Henry & Gunilla","","S:t Larsgatan 2, 582 24 Linköping","013/55 44 33","",""));
	sTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","","","013/44 33 22","",""));
	sTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Spector","Karl-Erik","","Drottninggatan 1, 582 27 Linköping","013/44 33 22","",""));
	sTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Strid","Tomas","","Storgatan 3, 582 27 Linköping","013/55 44 33","",""));
	sTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Strid","Roland","","S:t Larsgatan 2, 582 24 Linköping","013/33 22 11","name@home.se",""));
	sTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Sterner","Olle","","Drottninggatan 1, 582 27 Linköping","013/44 33 22","",""));
	sTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Svensson","Lemonia","","Storgatan 3, 582 27 Linköping","013/55 44 33","",""));
	sTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Swartz","Roland","","S:t Larsgatan 2, 582 24 Linköping","013/33 22 11","",""));
	sTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Säberg","Weine","","Drottninggatan 1, 582 27 Linköping","013/44 33 22","",""));
	tTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Tillfeldt","Hans","","Storgatan 3, 582 27 Linköping","013/55 44 33","",""));
	tTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Torlamb","Lars, Ann-Louise & Magnus","","S:t Larsgatan 2, 582 24 Linköping","013/33 22 11","",""));
	tTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","arb.","","013/44 33 22","",""));	
	vTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Vaerneus","Anders","","Drottninggatan 1, 582 27 Linköping","013/44 33 22","name@home.se",""));
	vTCColumnListView->AddItem(new TCDemoItem(0,true,false,Peoples_MICN,"Vaerneus","Hans, Gun & Alf","","Storgatan 3, 582 27 Linköping","013/55 44 33","",""));
	vTCColumnListView->AddItem(new TCDemoItem(1,false,false,0,"","","Sommarbostad","S:t Larsgatan 2, 582 24 Linköping","013/66 55 44","",""));
	vTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Wassberger","Lars-Erik","","Drottninggatan 1, 582 27 Linköping","013/44 33 22","",""));
	vTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Widerstedt","Björn & Per","","Storgatan 3, 582 27 Linköping","013/55 44 33","",""));
	yTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Ypevik","Per-Inge","","S:t Larsgatan 2, 582 24 Linköping","013/33 22 11","",""));
	aaTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Åhlstrm","Per-Johan","","Drottninggatan 1, 582 27 Linköping","013/44 33 22","",""));
	aaTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,	"Åkesson","Christer","Klara Kluck","Storgatan 3, 582 27 Linköping","013/55 44 33","",""));
}

TCView::~TCView() 
{
	TCDemoItem* TheItem;
	do{TheItem = (TCDemoItem *)aTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)bTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)cTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)dTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)eTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)fTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)gTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)hTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)iTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)jTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)kTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)lTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)mTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)nTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)oTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)pTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)qTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)rTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)sTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)tTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)uTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)vTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)xTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)yTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)zTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)aaTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)aaaTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)ooTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
	do{TheItem = (TCDemoItem *)grTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
}

void TCView::JTabFocus(uint32 nr)
{
	tabView->Select(nr);
}

void TCView::ShowJens()
{
	BBitmap *Peoples_MICN = new PrefilledBitmap(BRect(0.0,0.0,15.0,15.0),B_COLOR_8_BIT,Peoples_MData,false,false);
	jTCColumnListView->AddItem(new TCDemoItem(0,false,false,Peoples_MICN,"Johansson","Jens","","S:t Larsgatan 2, 582 24 Linköping","013/44 33 22","jenjo553@student.liu.se",""));
}

void TCView::Draw(BRect updateRect)
{
	BView::Draw(updateRect);
}

void TCView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
