/*----------------------------------------------------------------*/
/*	NewGroupView.cpp											*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#include <Application.h>
#include "NewGroupView.h"

NewGroupView::NewGroupView(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags){}

NewGroupView::~NewGroupView(){}

void NewGroupView::AttachedToWindow()
{
	ATextControl *textControl = new ATextControl(BRect(2, 6, 200, 26), 
	"ip_address", "Group name:", "", 0, 
	B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,
	MOUSE_ENTERED_PRFBUTTON);
	textControl->SetFont(be_plain_font);
	textControl->SetFontSize(10);
	textControl->SetDivider(60);
	AddChild(textControl);
	
	AButton *newgroup_button_1 = new AButton(BRect(95, 32, 145, 52), "cancel_button", "Cancel", 
	new BMessage(WIN_ADD_GROUP_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	AddChild(newgroup_button_1);
	newgroup_button_1->SetTarget(this); 
	
	AButton *newgroup_button_2 = new AButton(BRect(150, 32, 200, 52), "ok_button", "OK", 
		new BMessage(WIN_ADD_GROUP_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
		B_NAVIGABLE|B_NAVIGABLE_JUMP|B_WILL_DRAW,
		be_plain_font, 10, MOUSE_ENTERED_PRFBUTTON);
	AddChild(newgroup_button_2);
	newgroup_button_2->SetTarget(this); 
}

void NewGroupView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
		case WIN_ADD_GROUP_HIDE:
			be_app->PostMessage(WIN_ADD_GROUP_HIDE);
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
