/*----------------------------------------------------------------*/
/*	NewpeoView.cpp											*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#include <Application.h>
#include "NewpeoView.h"

NewpeoView::NewpeoView(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags){}

NewpeoView::~NewpeoView(){}

void NewpeoView::AttachedToWindow()
{
	BRect r=Bounds();
	BTab *tab;
	r.left=5.0;
	r.right=r.right-5.0;
	r.top=5.0;
	r.bottom=r.bottom-40.0; 
	BRect bg_bounds = r; 

	//The TabView	
	tabView = new BTabView(r,"pv",B_WIDTH_FROM_WIDEST,B_FOLLOW_ALL,B_FULL_UPDATE_ON_RESIZE | B_WILL_DRAW | B_NAVIGABLE_JUMP | B_FRAME_EVENTS | B_NAVIGABLE); 
	tabView->SetViewColor(216,216,216,0);
	tabView->SetTabWidth(B_WIDTH_FROM_WIDEST);
	
	//===================================Tab 0 Name
	BView* aView = new BView(bg_bounds,"Name",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	aView->SetViewColor(216,216,216,0);
	
	ATextControl *textControl_1 = new ATextControl(BRect(2, 6, 250, 26), "first_name", "First name:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_1->SetFont(be_plain_font);
	textControl_1->SetFontSize(10);
	textControl_1->SetDivider(60);
	aView->AddChild(textControl_1);
	
	ATextControl *textControl_2 = new ATextControl(BRect(2, 30, 250, 50), "last_name", "Last name:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_2->SetFont(be_plain_font);
	textControl_2->SetFontSize(10);
	textControl_2->SetDivider(60);
	aView->AddChild(textControl_2);
	
	ATextControl *textControl_8 = new ATextControl(BRect(2, 54, 250, 74), "nick_name", "Nickname:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_8->SetFont(be_plain_font);
	textControl_8->SetFontSize(10);
	textControl_8->SetDivider(60);
	aView->AddChild(textControl_8);
	
	
	tab = new BTab();
	tabView->AddTab(aView, tab); 
	tab->SetLabel("Name");
	
	//===================================Tab 1	Address
	BView* bView = new BView(bg_bounds,"Address",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	bView->SetViewColor(216,216,216,0);
	tab = new BTab();
	
	ATextControl *textControl_4 = new ATextControl(BRect(2, 6, 250, 26), "adr1_name", "Address 1:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_4->SetFont(be_plain_font);
	textControl_4->SetFontSize(10);
	textControl_4->SetDivider(60);
	bView->AddChild(textControl_4);
	
	ATextControl *textControl_3 = new ATextControl(BRect(2, 30, 250, 50), "adr2_name", "Address 2:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_3->SetFont(be_plain_font);
	textControl_3->SetFontSize(10);
	textControl_3->SetDivider(60);
	bView->AddChild(textControl_3);
	
	ATextControl *textControl_5 = new ATextControl(BRect(2, 54, 250, 74), "adr3_name", "Address 3:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_5->SetFont(be_plain_font);
	textControl_5->SetFontSize(10);
	textControl_5->SetDivider(60);
	bView->AddChild(textControl_5);
	
	ATextControl *textControl_6 = new ATextControl(BRect(2, 78, 250, 98), "adr4_name", "Address 4:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_6->SetFont(be_plain_font);
	textControl_6->SetFontSize(10);
	textControl_6->SetDivider(60);
	bView->AddChild(textControl_6);
	
	ATextControl *textControl_7 = new ATextControl(BRect(2, 102, 250,122), "adr5_name", "Address 5:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_7->SetFont(be_plain_font);
	textControl_7->SetFontSize(10);
	textControl_7->SetDivider(60);
	bView->AddChild(textControl_7);
	
	tabView->AddTab(bView, tab); 
	tab->SetLabel("Address");
	
	//===================================Tab 2	Telephone
	BView* cView = new BView(bg_bounds,"Telephone",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	cView->SetViewColor(216,216,216,0);
	tab = new BTab();
	
	ATextControl *textControl_9 = new ATextControl(BRect(2, 6, 250, 26), "tele1_name", "Telephone 1:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_9->SetFont(be_plain_font);
	textControl_9->SetFontSize(10);
	textControl_9->SetDivider(60);
	cView->AddChild(textControl_9);
	
	ATextControl *textControl_10 = new ATextControl(BRect(2, 30, 250, 50), "tele2_name", "Telephone 2:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_10->SetFont(be_plain_font);
	textControl_10->SetFontSize(10);
	textControl_10->SetDivider(60);
	cView->AddChild(textControl_10);
	
	ATextControl *textControl_11 = new ATextControl(BRect(2, 54, 250, 74), "tele3_name", "Telephone 3:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_11->SetFont(be_plain_font);
	textControl_11->SetFontSize(10);
	textControl_11->SetDivider(60);
	cView->AddChild(textControl_11);
	
	ATextControl *textControl_12 = new ATextControl(BRect(2, 78, 250, 98), "tele4_name", "Telephone 4:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_12->SetFont(be_plain_font);
	textControl_12->SetFontSize(10);
	textControl_12->SetDivider(60);
	cView->AddChild(textControl_12);
	
	ATextControl *textControl_13 = new ATextControl(BRect(2, 102, 250,122), "tele5_name", "Telephone 5:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_13->SetFont(be_plain_font);
	textControl_13->SetFontSize(10);
	textControl_13->SetDivider(60);
	cView->AddChild(textControl_13);
	
	tabView->AddTab(cView, tab); 
	tab->SetLabel("Telephone");
	
	//===================================Tab 2	E-mail
	BView* dView = new BView(bg_bounds,"E-mail",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	dView->SetViewColor(216,216,216,0);
	tab = new BTab();
	
	ATextControl *textControl_14 = new ATextControl(BRect(2, 6, 250, 26), "emai1_name", "E-mail 1:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_14->SetFont(be_plain_font);
	textControl_14->SetFontSize(10);
	textControl_14->SetDivider(60);
	dView->AddChild(textControl_14);
	
	ATextControl *textControl_15 = new ATextControl(BRect(2, 30, 250, 50), "emai2_name", "E-mail 2:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_15->SetFont(be_plain_font);
	textControl_15->SetFontSize(10);
	textControl_15->SetDivider(60);
	dView->AddChild(textControl_15);
	
	ATextControl *textControl_16 = new ATextControl(BRect(2, 54, 250, 74), "emai3_name", "E-mail 3:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_16->SetFont(be_plain_font);
	textControl_16->SetFontSize(10);
	textControl_16->SetDivider(60);
	dView->AddChild(textControl_16);
	
	ATextControl *textControl_17 = new ATextControl(BRect(2, 78, 250, 98), "emai4_name", "E-mail 4:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_17->SetFont(be_plain_font);
	textControl_17->SetFontSize(10);
	textControl_17->SetDivider(60);
	dView->AddChild(textControl_17);
	
	ATextControl *textControl_18 = new ATextControl(BRect(2, 102, 250,122), "email5_name", "E-mail 5:", "", 0, B_FOLLOW_LEFT|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,MOUSE_ENTERED_PRFBUTTON);
	textControl_18->SetFont(be_plain_font);
	textControl_18->SetFontSize(10);
	textControl_18->SetDivider(60);
	dView->AddChild(textControl_18);
	
	tabView->AddTab(dView, tab); 
	tab->SetLabel("E-mail");
	
	//===================================Tab 2	Misc
	tab = new BTab();
	BRect m=bg_bounds;
	m.bottom=m.bottom-32.0;
	m.right=m.right-12.0;
	BTextView*text_view_m=new BTextView(m,"Misc",m,B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	tabView->AddTab(text_view_m, tab); 
	tab->SetLabel("Misc");
	
	AddChild(tabView);
	
	AButton *newperson_button_1 = new AButton(BRect(240, 200, 290, 222), "cancel_button", "Cancel", 
	new BMessage(WIN_ADD_PERSON_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	AddChild(newperson_button_1);
	newperson_button_1->SetTarget(this); 
	
	AButton *newperson_button_2 = new AButton(BRect(300, 200, 350, 222), "ok_button", "OK", 
		new BMessage(WIN_ADD_PERSON_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
		B_NAVIGABLE|B_NAVIGABLE_JUMP|B_WILL_DRAW,
		be_plain_font, 10, MOUSE_ENTERED_PRFBUTTON);
	AddChild(newperson_button_2);
	newperson_button_2->SetTarget(this); 
}

void NewpeoView::Draw(BRect updateRect)
{
	BView::Draw(updateRect);
}

void NewpeoView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
		case WIN_ADD_PERSON_HIDE:
			be_app->PostMessage(WIN_ADD_PERSON_HIDE);
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
