/*----------------------------------------------------------------*/
/*	PrintView.cpp											*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#include <Application.h>
#include <Alert.h>
#include "PrintView.h"

PrintView::PrintView(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags){}

PrintView::~PrintView(){}

void PrintView::AttachedToWindow()
{
	BRect r=Bounds();
	r.bottom=100.0; 
	BRect b = r;
	b.bottom=200.0;
	b.top=100.0;
	BView *top_view=new BView(r,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	AddChild(top_view);
	top_view->SetViewColor(BKG_GREY);
	BView *bottom_view=new BView(b,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	AddChild(bottom_view);
	bottom_view->SetViewColor(BKG_GREY);
	//=================================Search in menu
	BMenu *print_tab= new BMenu("A");
	BMenuItem *item;
	item= new BMenuItem("A",0);
	print_tab->AddItem(item);
	item->SetMarked(true);
	item = new BMenuItem("B",0);
	print_tab->AddItem(item);
	item = new BMenuItem("C",0);
	print_tab->AddItem(item);
	item = new BMenuItem("D",0);
	print_tab->AddItem(item);
	item = new BMenuItem("E",0);
	print_tab->AddItem(item);
	item = new BMenuItem("F",0);
	print_tab->AddItem(item);
	item = new BMenuItem("G",0);
	print_tab->AddItem(item);
	item = new BMenuItem("H",0);
	print_tab->AddItem(item);
	item = new BMenuItem("I",0);
	print_tab->AddItem(item);
	item = new BMenuItem("J",0);
	print_tab->AddItem(item);
	item = new BMenuItem("K",0);
	print_tab->AddItem(item);
	item = new BMenuItem("L",0);
	print_tab->AddItem(item);
	item = new BMenuItem("M",0);
	print_tab->AddItem(item);
	item = new BMenuItem("N",0);
	print_tab->AddItem(item);
	item = new BMenuItem("O",0);
	print_tab->AddItem(item);
	item = new BMenuItem("P",0);
	print_tab->AddItem(item);
	item = new BMenuItem("Q",0);
	print_tab->AddItem(item);
	item = new BMenuItem("R",0);
	print_tab->AddItem(item);
	item = new BMenuItem("S",0);
	print_tab->AddItem(item);
	item = new BMenuItem("T",0);
	print_tab->AddItem(item);
	item = new BMenuItem("U",0);
	print_tab->AddItem(item);
	item = new BMenuItem("V",0);
	print_tab->AddItem(item);
	item = new BMenuItem("X",0);
	print_tab->AddItem(item);
	item = new BMenuItem("Y",0);
	print_tab->AddItem(item);
	item = new BMenuItem("Z",0);
	print_tab->AddItem(item);
	item = new BMenuItem("Å",0);
	print_tab->AddItem(item);
	item = new BMenuItem("Ä",0);
	print_tab->AddItem(item);
	item = new BMenuItem("Ö",0);
	print_tab->AddItem(item);
	BMenuField *print_menufield = new BMenuField(BRect(125,73,165,95),"","",print_tab, B_FOLLOW_LEFT | B_FOLLOW_TOP, B_WILL_DRAW | B_NAVIGABLE);
	print_menufield->SetDivider(0.0);
	bottom_view->AddChild(print_menufield);
	print_tab->SetLabelFromMarked(true);
	print_tab->SetTargetForItems(this);
	
	BRadioButton *radio_button_1= new BRadioButton(BRect(30,75,140,75),"","Content in tab",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	bottom_view->AddChild(radio_button_1);
	
	BRadioButton *radio_button_2= new BRadioButton(BRect(30,55,120,75),"","Search result",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	bottom_view->AddChild(radio_button_2);
	
	BRadioButton *radio_button_7= new BRadioButton(BRect(30,35,115,55),"","Contact list",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	bottom_view->AddChild(radio_button_7);
	
	BRadioButton *radio_button_3= new BRadioButton(BRect(30,15,160,35),"","Selected person/group",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	bottom_view->AddChild(radio_button_3);
	radio_button_3->SetValue(1);
	
	
	BCheckBox *check_box_1= new BCheckBox(BRect(30,20,115,40),"","Last name",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	top_view->AddChild(check_box_1);
	check_box_1->SetValue(1);
	
	BCheckBox *check_box_2= new BCheckBox(BRect(30,40,115,60),"","First name",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	top_view->AddChild(check_box_2);
	check_box_2->SetValue(1);
	
	BCheckBox *check_box_3= new BCheckBox(BRect(30,60,115,80),"","Nickname",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	top_view->AddChild(check_box_3);
	check_box_3->SetValue(1);
	
	BCheckBox *check_box_4= new BCheckBox(BRect(30,80,115,100),"","Address",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	top_view->AddChild(check_box_4);
	check_box_4->SetValue(1);
	
	BCheckBox *check_box_5= new BCheckBox(BRect(120,20,220,40),"","Telephone",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	top_view->AddChild(check_box_5);
	check_box_5->SetValue(1);
	
	BCheckBox *check_box_6= new BCheckBox(BRect(120,40,220,60),"","E-mail",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	top_view->AddChild(check_box_6);
	check_box_6->SetValue(1);
	
	BCheckBox *check_box_7= new BCheckBox(BRect(120,60,220,80),"","Group",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	top_view->AddChild(check_box_7);
	check_box_7->SetValue(1);
	
	BCheckBox *check_box_8= new BCheckBox(BRect(120,80,220,100),"","Misc.",0,B_FOLLOW_LEFT|B_FOLLOW_TOP,B_WILL_DRAW|B_NAVIGABLE);
	top_view->AddChild(check_box_8);
	
	
	AStringView *stringView30 = new AStringView(BRect(5,5,40,15),"", "From:", B_FOLLOW_LEFT|B_FOLLOW_V_CENTER,B_WILL_DRAW, be_plain_font, 10);
	bottom_view->AddChild(stringView30);
	
	AStringView *stringView31 = new AStringView(BRect(5,10,40,20),"", "Print:", B_FOLLOW_LEFT|B_FOLLOW_V_CENTER,B_WILL_DRAW, be_plain_font, 10);
	top_view->AddChild(stringView31);
	
	AButton *print_button_0 = new AButton(BRect(10, 203, 100, 225), "setup_button", "Configure page", 
	new BMessage(WIN_PAGE_SETUP), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	AddChild(print_button_0);
	print_button_0->SetTarget(this); 
	
	AButton *print_button_1 = new AButton(BRect(141, 203, 191, 225), "cancel_button", "Cancel", 
	new BMessage(WIN_PRINT_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	AddChild(print_button_1);
	print_button_1->SetTarget(this); 
	
	AButton *print_button_2 = new AButton(BRect(196, 203, 246, 225), "print_button", "Print", 
		new BMessage(WIN_PRINT_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
		B_NAVIGABLE|B_NAVIGABLE_JUMP|B_WILL_DRAW,
		be_plain_font, 10, MOUSE_ENTERED_PRFBUTTON);
	AddChild(print_button_2);
	print_button_2->SetTarget(this); 
}

void PrintView::Draw(BRect updateRect)
{
	BView::Draw(updateRect);
}

void PrintView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
		case WIN_PRINT_HIDE:
			be_app->PostMessage(WIN_PRINT_HIDE);
			break;
		case WIN_PAGE_SETUP:
			(new BAlert(""," This function isn't implemented yet..","   OK   ",NULL,NULL,B_WIDTH_FROM_WIDEST,B_INFO_ALERT))->Go();
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
