/*------------------------------------------------------------*/
/*	ProgressView.cpp									*/
/*Jens Johansson										*/
/*------------------------------------------------------------*/

#include "ProgressView.h"

ProgressView::ProgressView(BRect frame, const char *name, uint32 resizingMode, 
	uint32 flags) : BView(frame, name, resizingMode, flags){}

ProgressView::~ProgressView(){}

void ProgressView::AttachedToWindow()
{
	BRect rect = Bounds(); // Sorry, but the campus server isn't available.
	stringView = new AStringView(BRect(40, 15, 260, 25), 
		"Download_text", "Looking for the campus server...", B_FOLLOW_LEFT|B_FOLLOW_V_CENTER, B_WILL_DRAW, be_plain_font, 10);
	AddChild(stringView);

	rect.top +=30;
	rect.bottom -=20;
	rect.InsetBy(5.0,5.0);
	status_bar = new  BStatusBar(rect,"progress","Downloading:","% remaining") ;
	AddChild(status_bar);	
	
	BRect r;
	r.left=rect.right-50;
	r.right=rect.right;
	r.top=rect.bottom+4;
	r.bottom=rect.bottom+15;
	AButton *cancel_button = new AButton(r,"cancel_button", "Cancel",0, 
	B_FOLLOW_H_CENTER|B_FOLLOW_TOP, B_NAVIGABLE|B_WILL_DRAW,
	be_plain_font, 10, MOUSE_ENTERED_SEMBUTTON);
	 cancel_button->ResizeTo(50,19);
	AddChild(cancel_button);
}

void ProgressView::PVUpdate(float delta, const char *text, const char *trailingText)
{
	status_bar->Update(delta,text,trailingText);
}

void ProgressView::PVChangeText()
{
	stringView->SetText("Found the campus server...");
}

void ProgressView::PVDownloadText()
{
	stringView->SetText("Downloading info...");
}


void ProgressView::Draw(BRect updateRect) 
{
	BView::Draw(updateRect);
}

void ProgressView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
