/*------------------------------------------------------------*/
/*	ProgressWindow.cpp								*/
/*Jens Johansson										*/
/*------------------------------------------------------------*/

#include "ProgressWindow.h"

ProgressWindow::ProgressWindow(BRect frame, const char *title, 
	window_look look, window_feel feel, uint32 flags, uint32 workspaces) :
	BWindow(frame, title, look, feel, flags, workspaces)
{
	BRect rect = Bounds();
	status_view = new ProgressView(rect, "status_view", B_FOLLOW_ALL_SIDES, 
	B_FRAME_EVENTS|B_WILL_DRAW);
	status_view->SetViewColor(BKG_GREY);
	AddChild(status_view);
	status_view->Draw(rect);
}

ProgressWindow::~ProgressWindow(){}

void ProgressWindow::PVUpdate(float delta, const char *text, const char *trailingText)
{
	status_view->PVUpdate(delta,text,trailingText);
}

void ProgressWindow::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_UPDATE_STATUS_BAR:
			{
				float delta = message->FindFloat("delta");
				const char *download_name= message->FindString("text");
				const char *trailingText= message->FindString("trailing text");
				PVUpdate(delta, download_name,trailingText);
			}
			break;
		case CHANGE_TEXT_IN_VIEW:
			status_view->PVChangeText();
			break;
		case CHANGE_TEXT_DOWNLOAD:
			status_view->PVDownloadText();
			break;
		case B_SIMPLE_DATA:
			break;
   		default:
			BWindow::MessageReceived(message);
			break;
	}
}
