/*----------------------------------------------------------------*/
/*	SelectGroupView.cpp								*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#include "SelectGroupView.h"
#include "UtilityClasses/TCDemoItem.h"
#include "Icons/Gro.h"

SelectGroupView::SelectGroupView(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags){}

SelectGroupView::~SelectGroupView(){
	TCDemoItem* TheItem;
	do{TheItem = (TCDemoItem *)grTCColumnListView->RemoveItem(int32(0));if(TheItem)delete (TheItem);}while(TheItem);
}

void SelectGroupView::AttachedToWindow()
{
	
	AStringView *stringView24 = new AStringView(BRect(10,6,80,18), 
	"contact_text", "Select group:", B_FOLLOW_LEFT|B_FOLLOW_V_CENTER, 
	B_WILL_DRAW, be_plain_font, 10);
	AddChild(stringView24);
	
	BRect rect_15=Bounds();
	rect_15.left=5.0;
	rect_15.right=rect_15.right-22.0;
	rect_15.top=22.0;
	rect_15.bottom=rect_15.bottom-48.0;
	CLVContainerView* gr_containerView;
	grTCColumnListView = new TCColumnListView(rect_15,&gr_containerView,"",B_FOLLOW_ALL_SIDES,B_WILL_DRAW|B_FRAME_EVENTS|B_NAVIGABLE, B_SINGLE_SELECTION_LIST,true,true,true,true,B_NO_BORDER,be_plain_font);
	grTCColumnListView->SetSortFunction(CLVEasyItem::CompareItems);
	AddChild(gr_containerView);
	Gro_MICN = new PrefilledBitmap(BRect(0.0,0.0,15.0,15.0),B_COLOR_8_BIT,Gro_MData,false,false);
	for(int i=1; i<8; i++)
		(TCColumnListView*)grTCColumnListView->RemoveColumn((CLVColumn*)grTCColumnListView->ColumnAt(2));
	(TCColumnListView*)grTCColumnListView->AddColumn(new CLVColumn("Group",80.0,CLV_LOCK_AT_BEGINNING|CLV_NOT_MOVABLE|CLV_SORT_KEYABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	grTCColumnListView->AddItem(new TCDemoItem(0,false,false,Gro_MICN,"MDI-group","","","","","",""));
	grTCColumnListView->AddItem(new TCDemoItem(0,false,false,Gro_MICN,"IFP-group","","","","","",""));
	grTCColumnListView->AddItem(new TCDemoItem(0,false,false,Gro_MICN,"Quality-group","","","","","",""));
	
	AButton *pref_button_1 = new AButton(BRect(172, 172, 222, 192), "cancel_button", "Cancel", 
	new BMessage(WIN_PREF_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
	B_NAVIGABLE|B_WILL_DRAW, be_plain_font, 10, MOUSE_ENTERED_CPFBUTTON);
	AddChild(pref_button_1);

	AButton *pref_button_2 = new AButton(BRect(232, 172, 282, 192), "ok_button", "OK", 
		new BMessage(WIN_PREF_HIDE), B_FOLLOW_LEFT|B_FOLLOW_TOP, 
		B_NAVIGABLE|B_NAVIGABLE_JUMP|B_WILL_DRAW,
		be_plain_font, 10, MOUSE_ENTERED_PRFBUTTON);
	AddChild(pref_button_2);
}

void SelectGroupView::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
