/*----------------------------------------------------------------*/
/*	SelectGroupWindow.cpp										*/
/*	Jens Johansson										*/
/*----------------------------------------------------------------*/

#include "SelectGroupWindow.h"

SelectGroupWindow::SelectGroupWindow(BRect frame, const char *title, 
	window_look look, window_feel feel, uint32 flags, uint32 workspaces) :
	BWindow(frame, title, look, feel, flags, workspaces)
{
	BRect rect = Bounds();
	SelectGroupView *select_group_view = new SelectGroupView(rect, "select_group_view", 
	B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
	select_group_view->SetViewColor(BKG_GREY);
	AddChild(select_group_view);
}

SelectGroupWindow::~SelectGroupWindow(){}

void SelectGroupWindow::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
		case WIN_PREF_HIDE:
			be_app->PostMessage(WIN_PREF_HIDE);
			break;
   		default:
			BWindow::MessageReceived(message);
			break;
	}
}
