/*------------------------------------------------------------*/
/*	AButton.cpp											*/
/*Jens Johansson										*/
/*------------------------------------------------------------*/

#include "AButton.h"
#include <Application.h>

AButton::AButton(BRect frame, const char *name, const char *label, 
	BMessage *message, uint32 resizingMode, uint32 flags, 
	const BFont *font, float size, uint32 buttonMessage) :
	BButton(frame, name, label, message, resizingMode, flags)
{
	abuttonMessage = buttonMessage;
	this->font = (BFont *)font;
	this->size = size;
}

AButton::~AButton(){}

void 	AButton::Draw(BRect updateRect)
{
	SetFont(font);
	SetFontSize(size);
	BButton::Draw(updateRect);
}

void AButton::MouseMoved(BPoint point,uint32 transit, const BMessage* message)
{
	if (transit==B_ENTERED_VIEW)
		be_app->PostMessage(abuttonMessage);
	else if (transit==B_EXITED_VIEW)
		be_app->PostMessage(MOUSE_EXITED_BUTTON);
}

void AButton::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
   		default:
			BButton::MessageReceived(message);
			break;
	}
}
