//	FilterInvoker.cpp

#include "FilterInvoker.h"
#include <stdio.h>
#include <TypeConstants.h>

FilterInvoker::FilterInvoker(uint32 cmdFilter,
	BMessage* invokeMsg, BHandler* invokeHandler,
	BLooper* invokeLooper)
	: BMessageFilter(cmdFilter, NULL),
	BInvoker(invokeMsg, invokeHandler, invokeLooper)
{ }

filter_result FilterInvoker::Filter(BMessage* message,
	BHandler** target)
{
	Looper()->DispatchMessage(message, *target); 	
	BMessage* msg = Message();
	if(msg->ReplaceMessage("Dispatched Message", message)==B_OK)
		msg->ReplacePointer("Dispatch Target", *target);
	else{
		msg->AddMessage("Dispatched Message", message);
		msg->AddPointer("Dispatch Target", *target);	
	}
	Invoke();	
	return B_SKIP_MESSAGE;
}
