/*-----------------------------------------------------------------------------------------*/
/*	TCColumnListView.cpp														*/
/*	Jens Johansson																*/
/*----------------------------------------------------------------------------------------*/

#include "TCColumnListView.h"

TCColumnListView::TCColumnListView(BRect Frame,
															CLVContainerView** ContainerView,	
															const char* Name,
															uint32 ResizingMode,
															uint32 flags,
															list_view_type Type,
															bool hierarchical,
															bool horizontal,
															bool vertical,
															bool scroll_view_corner,
															border_style border,
															const BFont *LabelFont):
	ColumnListView(Frame,
								ContainerView,	
								Name,
								ResizingMode,
								flags,
								Type,
								hierarchical,
								horizontal,
								vertical,
								scroll_view_corner,
								border,
								LabelFont)
{
	(ColumnListView*)AddColumn(new CLVColumn(NULL, 20.0, CLV_EXPANDER|CLV_LOCK_AT_BEGINNING|CLV_NOT_MOVABLE));
	
	(ColumnListView*)AddColumn(new CLVColumn(NULL, 25.0, CLV_LOCK_AT_BEGINNING|CLV_NOT_MOVABLE|CLV_NOT_RESIZABLE|CLV_PUSH_PASS|CLV_MERGE_WITH_RIGHT));
		
	(ColumnListView*)AddColumn(new CLVColumn("Last name",75.0,CLV_LOCK_AT_BEGINNING|CLV_NOT_MOVABLE|CLV_SORT_KEYABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(ColumnListView*)AddColumn(new CLVColumn("First name",70.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(ColumnListView*)AddColumn(new CLVColumn("Nickname",65.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(ColumnListView*)AddColumn(new CLVColumn("Address",190.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(ColumnListView*)AddColumn(new CLVColumn("Telephone",80.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(ColumnListView*)AddColumn(new CLVColumn("E-mail",120.0, CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
	(ColumnListView*)AddColumn(new CLVColumn("Group",80.0, CLV_LOCK_AT_END|CLV_NOT_MOVABLE|CLV_HEADER_TRUNCATE|CLV_TELL_ITEMS_WIDTH,50.0));
}

TCColumnListView::~TCColumnListView(){}
