/*------------------------------------------------------------*/
/*	UpdateButton.cpp								*/
/*Jens Johansson										*/
/*------------------------------------------------------------*/

#include "UpdateButton.h"
#include <Application.h>

UpdateButton::UpdateButton(BRect frame, const char *name, const char *label, 
	BMessage *message, uint32 resizingMode, uint32 flags, 
	const BFont *font, float size, uint32 buttonMessage) :
	BButton(frame, name, label, message, resizingMode, flags)
{
	ubuttonMessage = buttonMessage;
	this->font = (BFont *)font;
	this->size = size;
}

UpdateButton::~UpdateButton(){}

void 	UpdateButton::Draw(BRect updateRect)
{
	SetFont(font);
	SetFontSize(size);
	BButton::Draw(updateRect);
}

void UpdateButton::MouseMoved(BPoint point,uint32 transit, const BMessage* message)
{
	if (transit==B_ENTERED_VIEW)
		be_app->PostMessage(ubuttonMessage);
}

void UpdateButton::MessageReceived(BMessage *message)
{
	switch ( message->what )
	{
		case B_SIMPLE_DATA:
			break;
   		default:
			BButton::MessageReceived(message);
			break;
	}
}
